#!/bin/bash
#
# Elkesziti egy host menulapjat, az egyes, statikus lapokra mutato linkekkel.
# A lapozas fuggoleges frame-es szerkeszetben tortenik.
# kovacs.zoltan@mimoza.hu 2005-03-04
#

ROOT_DIR="$1"			# A host statisztika lapjainak alapkonyvtara
INDEXPAGE="index.html"		# Az indexlap fileneve
MENUPAGE="menu.html"		# A menu frame fileneve
MENUFRAME="menu"		# A menut megjelenito frame neve
DOCFRAME="document"		# A statisztikai lapokat megjelenito frame neve
ICONPATH="/usr/share/awstats/icon"	# Az ikonok kelye

###

if [ -d "$ROOT_DIR" ]; then

# Ikonok konyvtaranak symlinkelese, ha meg nem letezne

    if [ ! -L "$ROOT_DIR/icon" ]; then
	ln -s "$ICONPATH" "$ROOT_DIR/icon"
    fi

# Korabbi indexlapok torlese, ha leteznenek

    rm -f $ROOT_DIR/$INDEXPAGE
    touch $ROOT_DIR/$INDEXPAGE
    chmod 644 $ROOT_DIR/$INDEXPAGE

    rm -f $ROOT_DIR/$MENUPAGE
    touch $ROOT_DIR/$MENUPAGE
    chmod 644 $ROOT_DIR/$MENUPAGE

# Indexlap (frameset) elkeszitese.

    cat << EOF >> $ROOT_DIR/$INDEXPAGE

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN">
                                                                                                                                       
<HTML>
    <HEAD>
	<TITLE>Statisztika</TITLE>
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-2">
    </HEAD>

    <frameset cols="80,*">
	<frame name="$MENUFRAME" src="$MENUPAGE" frameborder="0" noresize>
	<frame name="$DOCFRAME" frameborder="0" noresize>
    </frameset>
</HTML>
EOF

# Menulap elkeszitese - a fejlec kiirasa.

    cat << EOF >> $ROOT_DIR/$MENUPAGE

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
                                                                                       
<HTML>
    <HEAD>
	<TITLE>Menu</TITLE>
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-2">

        <STYLE type="text/css">
	<!--
        p { font: 11px verdana, arial, helvetica, sans-serif; font-weight: bold; }
	a { font: 11px verdana, arial, helvetica, sans-serif; }
        a:link    { color: #0011BB; text-decoration: none; }
	a:visited { color: #0011BB; text-decoration: none; }
        a:hover   { color: #605040; text-decoration: underline; }
	//-->
	</STYLE>
    </HEAD>

    <BODY BGCOLOR="#ffffff" STYLE='margin: 5;' MARGINWIDTH="5" MARGINHEIGHT="5" TOPMARGIN="5" LEFTMARGIN="5">

	<P>&Eacute;v, h&oacute;nap:</P>

EOF

# Elkeszulnek a linkek: minden alkonyvtar legrovidebb file-jara mutat egy-egy, az alkonyvtar
# nevevel megegyezo link. A linkeket <BR> valasztja el.

    cd $ROOT_DIR; find -type d -print | grep '/' | sort | while read TARGETDIR 
    do
        TARGETFILE=`cd $ROOT_DIR/$TARGETDIR; ls | awk '{ if (x == 0 || x > length()) { x = length(); y = $0 } } END { print y }'`
	echo -n '<a href="./' >> $ROOT_DIR/$MENUPAGE
        echo -n $TARGETDIR/$TARGETFILE >> $ROOT_DIR/$MENUPAGE
	echo -n '" target="' >> $ROOT_DIR/$MENUPAGE
        echo -n $DOCFRAME >> $ROOT_DIR/$MENUPAGE
	echo -n '">' >> $ROOT_DIR/$MENUPAGE
        echo -n $TARGETDIR >> $ROOT_DIR/$MENUPAGE
	echo   '</a><br>' >> $ROOT_DIR/$MENUPAGE
    done

# Lablec kiirasa

    cat << EOF >> $ROOT_DIR/$MENUPAGE

    </BODY>
</HTML>

EOF

# Hibas parameterezes eseten emlekezteto.

else
    echo "Usage: $0 path_to_statistics_root"
fi
