#!/bin/bash
#
# Ujjaepiti valamennyi host valamennyi (eves es havi) statisztikai lapjat,
# minden olyan honapra vonatkozoan, amelyre nezve van AwStats adat.
# A mar meglevo lapokat nem bantja.
# kovacs.zoltan@mimoza.hu 2005-03-05

awstats_build="/usr/local/sbin/awstats/awstats_buildmonthpage.sh"
awstats_bmenu="/usr/local/sbin/awstats/awstats_buildmenupages.sh"

AWSTATS_DATADIR="/var/lib/awstats"	# AwStats adattar
STATS_ROOT_DIR=$1			# A statisztika alapkonyvtara

if [ -d "$STATS_ROOT_DIR" ]; then

# Beolvassa az adattarat, minden adatfile nevebol kepezi a hostnevet, evet es honapot.
# Az adatfile-ok neve ilyen: awstatsMMYYYY.hostneve.txt

    cd $AWSTATS_DATADIR; ls -1 | while read DATAFILE
    do
	SRVNM=`echo $DATAFILE | sed "s/^awstats.\{6\}\.//" | sed "s/\.txt\$//"`
	YEAR=`echo $DATAFILE | awk '{ print substr($0, 10, 4) }'`
	MONTH=`echo $DATAFILE | awk '{ print substr($0, 8, 2) }'`

# Eves statisztikai lap elkeszitese, ha szukseges.

	if [ ! -d "$STATS_ROOT_DIR/$SRVNM/$YEAR" ]; then
	    $awstats_build $STATS_ROOT_DIR $SRVNM $YEAR
	    $awstats_bmenu $STATS_ROOT_DIR/$SRVNM
	else
	    echo "Skipped $SRVNM - $YEAR"
	fi

# Havi statisztikai lap elkeszitese, ha szukseges.

	if [ ! -d "$STATS_ROOT_DIR/$SRVNM/$YEAR$MONTH" ]; then
	    $awstats_build $STATS_ROOT_DIR $SRVNM $YEAR $MONTH
	    $awstats_bmenu $STATS_ROOT_DIR/$SRVNM
	else
	    echo "Skipped $SRVNM - $YEAR - $MONTH"
	fi
    done

# Rossz parameterezes eseten emlekezteto.

else
    echo "Usage: $0 path_to_generate_rootdir"
fi
